clear all
use DD-Example-RS08, clear
xtset pat_id year

// Summary Stats
describe
summarize 
tab year
tab TreatGroup PostTreat

// Baseline DD
reg cites PostTreat TreatGroup PostPeriod, cluster(pat)
reg cites PostTreat TreatGroup i.year, cluster(pat)

// TWFE
xtreg cites PostTreat i.year, fe cluster(pat)

// DD Matching
reg cites PostTreat PostPeriod TreatGroup i.year, cluster(pat)
xtreg cites PostTreat PostPeriod i.year, fe cluster(pat)

// Bousyak, Jaravel and Spiess
* net install did_imputation, from(http://fmwww.bc.edu/RePEc/bocode/d/)
replace TreatYr = . if (TreatGroup==0)
did_imputation cites pat_id year TreatYr, autosample

// Callaway and Sant'Anna
* net install csdid, from(http://fmwww.bc.edu/RePEc/bocode/c)
replace TreatYr = 0 if (TreatGroup==0)
csdid cites, ivar(pat_id) time(year) gvar(TreatYr)
estat simple

